{
    "type": "project",
    "license": "proprietary",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": ">=8.2",
        "ext-ctype": "*",
        "ext-dom": "*",
        "ext-iconv": "*",
        "ext-libxml": "*",
        "ext-zip": "*",
        "chillerlan/php-qrcode": ">=5.0.5",
        "cocur/slugify": ">=4.7.1",
        "doctrine/dbal": "^4.4.1",
        "doctrine/doctrine-bundle": "^3.2.2",
        "doctrine/doctrine-migrations-bundle": "^3.7.0",
        "doctrine/orm": "^3.6.2",
        "docusealco/docuseal-php": "^1.0.5",
        "endroid/qr-code": "^6.1.3",
        "exbil/mailcow-php-api": ">=0.15.0",
        "fkrzski/robots-txt": "^2.1",
        "fpdf/fpdf": "^1.86.1",
        "gemini-api-php/client": "^1.7.2",
        "google/apiclient": "^2.19.0",
        "google/cloud": "^0.296.0",
        "healey/robots": "^1.0.1",
        "imagine/imagine": "^1.5.2",
        "io-developer/php-whois": ">=4.1.10",
        "jaybizzle/crawler-detect": "^1.3.7",
        "knplabs/knp-paginator-bundle": "^6.10",
        "knpuniversity/oauth2-client-bundle": "^2.20.1",
        "lasserafn/php-initial-avatar-generator": "^4.5",
        "league/flysystem-aws-s3-v3": "^3.31.0",
        "league/flysystem-bundle": "^3.6.2",
        "liip/imagine-bundle": "^2.17.1",
        "lufiipe/insee-sierene": ">=1",
        "meilisearch/meilisearch-php": "^1.16.1",
        "minishlink/web-push": "^9.0.4",
        "mittwald/vault-php": "^3.0.2",
        "mobiledetect/mobiledetectlib": "^4.8.10",
        "nelmio/cors-bundle": "^2.6.1",
        "nelmio/security-bundle": "^3.8",
        "ovh/ovh": ">=3.5",
        "pear/net_dns2": ">=2.0.7",
        "phpdocumentor/reflection-docblock": "^5.6.6",
        "phpoffice/phpspreadsheet": "^5.4",
        "phpstan/phpdoc-parser": "^2.3.2",
        "presta/sitemap-bundle": "^4.3",
        "scheb/2fa-backup-code": "^8.3.0",
        "scheb/2fa-bundle": "^8.3.0",
        "scheb/2fa-email": "^8.3.0",
        "scheb/2fa-google-authenticator": "^8.3.0",
        "sentry/sentry-symfony": "^5.8.3",
        "setasign/fpdi": "^2.6.4",
        "spomky-labs/pwa-bundle": "1.5.0",
        "spomky-labs/web-push-bundle": "^3.2.1",
        "stancer/stancer": ">=2.1.0",
        "stevenmaguire/oauth2-keycloak": "^5.1",
        "stripe/stripe-php": "^19.3",
        "symfony/amazon-mailer": "8.0.*",
        "symfony/asset": "8.0.*",
        "symfony/asset-mapper": "8.0.*",
        "symfony/console": "8.0.*",
        "symfony/doctrine-messenger": "8.0.*",
        "symfony/dotenv": "8.0.*",
        "symfony/expression-language": "8.0.*",
        "symfony/flex": "^2.10.0",
        "symfony/form": "8.0.*",
        "symfony/framework-bundle": "8.0.*",
        "symfony/http-client": "8.0.*",
        "symfony/intl": "8.0.*",
        "symfony/mailer": "8.0.*",
        "symfony/mime": "8.0.*",
        "symfony/monolog-bundle": "^4.0.1",
        "symfony/notifier": "8.0.*",
        "symfony/process": "8.0.*",
        "symfony/property-access": "8.0.*",
        "symfony/property-info": "8.0.*",
        "symfony/redis-messenger": "8.0.*",
        "symfony/runtime": "8.0.*",
        "symfony/security-bundle": "8.0.*",
        "symfony/serializer": "8.0.*",
        "symfony/string": "8.0.*",
        "symfony/translation": "8.0.*",
        "symfony/twig-bundle": "8.0.*",
        "symfony/uid": "8.0.*",
        "symfony/validator": "8.0.*",
        "symfony/web-link": "8.0.*",
        "symfony/yaml": "8.0.*",
        "tecnickcom/tcpdf": "^6.10.1",
        "twig/extra-bundle": "^3.23.0",
        "twig/intl-extra": "^3.23.0",
        "twig/twig": "^3.23.0",
        "vich/uploader-bundle": "^2.9.1",
        "web-auth/webauthn-lib": "5.3.x-dev",
        "web-token/jwt-library": "^4.1.3"
    },
    "config": {
        "allow-plugins": {
            "php-http/discovery": true,
            "symfony/flex": true,
            "symfony/runtime": true
        },
        "bump-after-update": true,
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php73": "*",
        "symfony/polyfill-php74": "*",
        "symfony/polyfill-php80": "*",
        "symfony/polyfill-php81": "*",
        "symfony/polyfill-php82": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd",
            "importmap:install": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": true,
            "require": "8.0.*"
        }
    },
    "require-dev": {
        "fakerphp/faker": "^1.24.1",
        "phpunit/phpunit": "^12.5.10",
        "rector/rector": "^2.3.6",
        "symfony/browser-kit": "8.0.*",
        "symfony/css-selector": "8.0.*",
        "symfony/debug-bundle": "8.0.*",
        "symfony/maker-bundle": "^1.66.0",
        "symfony/stopwatch": "8.0.*",
        "symfony/web-profiler-bundle": "8.0.*"
    }
}
